For the complete documentation index, see llms.txt. This page is also available as Markdown.

Salesorders

Get Sales Orders

get

Requires permission View orders.

Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
FilterstringOptional

Filter the results. See developer resources for more information. On endpoints whose entity supports custom fields you can also filter by custom field: customFieldEq('fieldName', 'value') (equals) or customFieldExist('fieldName') (field has a non-empty value). Custom-field functions may only be combined with and.

Example: name eq 'Adam' and age gt 20 and customFieldEq('region', 'EU')
OrderBystringOptional

Sorting the results. See developer resources for more information

Example: accountNumber Desc
ModifiedAfterstring · date-timeOptional

Apply a separate modified After filter. See 'ModifiedBefore' filter for further details.

Example: 2026-09-01
ModifiedBeforestring · date-timeOptional

Filter is also applied on sub entities: 'orderProducts', 'orderCharges', 'chargeDetails', 'orderDiscounts', 'milestones' and 'customFields' on these entities

Example: 2026-09-01
PageSizeinteger · int32Optional

Page Size

Example: 20
PageNumberinteger · int32Optional

Page Number

Example: 1
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
totalPagesinteger · int32 · nullableOptional
totalCountinteger · int32Optional
nextPagestring · uri · nullableOptional
previousPagestring · uri · nullableOptional
firstPagestring · uri · nullableOptional
lastPagestring · uri · nullableOptional
get/SalesOrders
GET /SalesOrders HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "pageNumber": 1,
  "pageSize": 1,
  "totalPages": 1,
  "totalCount": 1,
  "nextPage": "https://example.com",
  "previousPage": "https://example.com",
  "firstPage": "https://example.com",
  "lastPage": "https://example.com",
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "orderNumber": "text",
      "version": 1,
      "isLastVersion": true,
      "status": "Draft",
      "description": "text",
      "remarks": "text",
      "orderDate": "2026-01-01T00:00:00.000Z",
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z",
      "lastUpdated": "2026-01-01T00:00:00.000Z",
      "orderType": "Subscription",
      "invoiceSeparatly": true,
      "yourReference": "text",
      "ourReference": "text",
      "yourOrderNumber": "text",
      "buyerReference": "text",
      "invoiceAddress": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "description": "text",
        "name": "text",
        "street": "text",
        "street2": "text",
        "city": "text",
        "county": "text",
        "state": "text",
        "zip": "text",
        "country": "text"
      },
      "deliveryAddress": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "description": "text",
        "name": "text",
        "street": "text",
        "street2": "text",
        "city": "text",
        "county": "text",
        "state": "text",
        "zip": "text",
        "country": "text"
      },
      "paymentTerm": "text",
      "orderPaymentMethod": "Invoice",
      "invoiceBatchGroup": "text",
      "useAccountInvoiceBatchGroup": true,
      "account": {
        "name": "text",
        "accountNumber": "text",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "externalERPId": "text",
        "externalCRMId": "text"
      },
      "invoiceAccount": {
        "name": "text",
        "accountNumber": "text",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "externalERPId": "text",
        "externalCRMId": "text"
      },
      "currency": "text",
      "accountsReceivableAccount": "text",
      "externalERPId": "text",
      "externalCRMId": "text",
      "products": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "productNumber": "text",
          "chargePlanId": "123e4567-e89b-12d3-a456-426614174000",
          "chargePlanName": "text",
          "chargePlanNumber": "text",
          "productLineNumber": 1,
          "name": "text",
          "charges": [
            {
              "id": "123e4567-e89b-12d3-a456-426614174000",
              "chargeNumber": "OPC-000001",
              "version": 1,
              "isLastVersion": true,
              "name": "text",
              "chargeType": "OneOff",
              "priceModel": "Flat",
              "effectiveStartDate": "2026-01-01T00:00:00.000Z",
              "effectiveEndDate": "2026-01-01T00:00:00.000Z",
              "quantity": 1,
              "unitCode": "text",
              "startOn": "AlignToSubscription",
              "endOn": "AlignToSubscription",
              "startMilestoneId": "123e4567-e89b-12d3-a456-426614174000",
              "endMilestoneId": "123e4567-e89b-12d3-a456-426614174000",
              "chargedThroughDate": "2026-01-01T00:00:00.000Z",
              "lastRenewalDate": "2026-01-01T00:00:00.000Z",
              "lastPriceAdjustmentDate": "2026-01-01T00:00:00.000Z",
              "pricePeriod": "Monthly",
              "usageRating": "Sum",
              "revenueRecognitionRule": "text",
              "billingDay": "None",
              "specificBillingDay": 1,
              "offsetBillingDays": 1,
              "billingPeriod": "Monthly",
              "billingTiming": "InAdvance",
              "periodAlignment": "None",
              "alignmentDate": "2026-01-01T00:00:00.000Z",
              "taxTemplate": "text",
              "taxIncluded": true,
              "createInvoiceLinesPerTier": true,
              "estimatedUsage": 1,
              "estimatedQuantity": 1,
              "remainingQuantity": 1,
              "orderedQuantity": 1,
              "deliveryDate": "2026-01-01T00:00:00.000Z",
              "remarks": "text",
              "accountsReceivableAccount": "text",
              "deferredRevenueAccount": "text",
              "recognizedRevenueAccount": "text",
              "changeState": "NotChanged",
              "displayPrice": 1,
              "customFields": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "priceDetails": [
                {
                  "tier": 1,
                  "price": 1,
                  "listPrice": 1,
                  "description": "text",
                  "fromQuantity": 1,
                  "toQuantity": 1,
                  "priceBase": "Flat",
                  "lineDiscountPercent": 1,
                  "lineDiscountAmount": 1
                }
              ],
              "recurringMonthlyAmount": 1,
              "recurringMonthlyAmountBase": 1,
              "features": [
                {
                  "code": "text",
                  "description": "text"
                }
              ],
              "orderDiscounts": [
                {
                  "orderDiscountId": "123e4567-e89b-12d3-a456-426614174000",
                  "chargeId": "123e4567-e89b-12d3-a456-426614174000"
                }
              ],
              "externalERPId": "text",
              "externalCRMId": "text",
              "cmrr": {
                "amount": 1,
                "currencyCode": "text",
                "currencyConversionDate": "2026-01-01T00:00:00.000Z",
                "baseCurrencyAmount": 1,
                "baseCurrencyCode": "text"
              },
              "acv": {
                "amount": 1,
                "currencyCode": "text",
                "currencyConversionDate": "2026-01-01T00:00:00.000Z",
                "baseCurrencyAmount": 1,
                "baseCurrencyCode": "text"
              },
              "tcv": {
                "amount": 1,
                "currencyCode": "text",
                "currencyConversionDate": "2026-01-01T00:00:00.000Z",
                "baseCurrencyAmount": 1,
                "baseCurrencyCode": "text"
              },
              "emrr": {
                "amount": 1,
                "currencyCode": "text",
                "currencyConversionDate": "2026-01-01T00:00:00.000Z",
                "baseCurrencyAmount": 1,
                "baseCurrencyCode": "text"
              },
              "oneTimeFees": {
                "amount": 1,
                "currencyCode": "text",
                "currencyConversionDate": "2026-01-01T00:00:00.000Z",
                "baseCurrencyAmount": 1,
                "baseCurrencyCode": "text"
              },
              "price": 1,
              "listPrice": 1,
              "discountAmount": 1,
              "discountPercentage": 1,
              "totalPrice": 1,
              "totalListPrice": 1,
              "totalDiscountAmount": 1,
              "totalDiscountPercentage": 1,
              "totalPerInvoice": 1,
              "orderProductId": "123e4567-e89b-12d3-a456-426614174000",
              "orderId": "123e4567-e89b-12d3-a456-426614174000",
              "chargeId": "123e4567-e89b-12d3-a456-426614174000",
              "created": "2026-01-01T00:00:00.000Z",
              "modified": "2026-01-01T00:00:00.000Z"
            }
          ],
          "customFields": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "externalERPId": "text",
          "externalCRMId": "text",
          "cmrr": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "acv": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "emrr": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "oneTimeFees": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "tcv": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "created": "2026-01-01T00:00:00.000Z",
          "modified": "2026-01-01T00:00:00.000Z"
        }
      ],
      "milestones": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "orderId": "123e4567-e89b-12d3-a456-426614174000",
          "name": "text",
          "description": "text",
          "milestoneDate": "2026-01-01T00:00:00.000Z",
          "plannedDate": "2026-01-01T00:00:00.000Z"
        }
      ],
      "orderDiscounts": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "orderId": "123e4567-e89b-12d3-a456-426614174000",
          "startOn": "AlignToOrder",
          "endOn": "AlignToOrder",
          "startDate": "2026-01-01T00:00:00.000Z",
          "endDate": "2026-01-01T00:00:00.000Z",
          "percent": 1,
          "discountType": "Percent",
          "description": "text",
          "orderProductCharges": [
            {
              "orderDiscountId": "123e4567-e89b-12d3-a456-426614174000",
              "chargeId": "123e4567-e89b-12d3-a456-426614174000"
            }
          ],
          "onSpecificCharges": true
        }
      ],
      "customFields": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "invoicingCurrency": "text"
    }
  ]
}

Create SalesOrder.

post

Requires permission Create orders.

Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Header parameters
api-versionstringOptional
younium-idempotency-keystringOptional
younium-idempotency-durationInHoursintegerOptional
Body
statusstring · enumOptionalPossible values:
descriptionstring · nullableOptional
remarksstring · nullableOptional
effectiveStartDatestring · date-time · nullableOptional

Obsolete field. Use order date instead. order Date will override this value

orderDatestring · date-time · nullableOptional
orderTypestring · enumOptionalPossible values:
orderPaymentMethodstring · enumOptionalPossible values:
invoiceSeparatlyboolean · nullableOptional
yourReferencestring · nullableOptional
ourReferencestring · nullableOptional
yourOrderNumberstring · nullableOptional
buyerReferencestring · nullableOptional
invoiceAddressIdstring · uuid · nullableOptional
deliveryAddressIdstring · uuid · nullableOptional
useAccountInvoiceBatchGroupboolean · nullableOptional
externalERPIdstring · nullableOptional
externalCRMIdstring · nullableOptional
invoicingCurrencystring · nullableOptional
invoiceTemplateIdstring · uuid · nullableOptional
invoiceBatchGroupIdstring · uuid · nullableOptionalDeprecated
Responses
201

The salesOrders for the request.

No content

post/SalesOrders
POST /SalesOrders HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2890

{
  "status": "OrderDraft",
  "description": "text",
  "remarks": "text",
  "effectiveStartDate": "2026-01-01T00:00:00.000Z",
  "orderDate": "2026-01-01T00:00:00.000Z",
  "orderType": "SalesOrder",
  "orderPaymentMethod": "Invoice",
  "invoiceSeparatly": true,
  "yourReference": "text",
  "ourReference": "text",
  "yourOrderNumber": "text",
  "buyerReference": "text",
  "invoiceAddressId": "123e4567-e89b-12d3-a456-426614174000",
  "deliveryAddressId": "123e4567-e89b-12d3-a456-426614174000",
  "paymentTerm": "NET30",
  "useAccountInvoiceBatchGroup": true,
  "externalERPId": "text",
  "externalCRMId": "text",
  "account": "A-000001",
  "invoiceAccount": "A-000001",
  "currency": "SEK",
  "invoicingCurrency": "text",
  "products": [
    {
      "product": "P-000001",
      "chargePlan": "CP-000001",
      "productLineNumber": 1,
      "name": "text",
      "charges": [
        {
          "charge": {
            "key": "text",
            "value": "text"
          },
          "name": "text",
          "chargeType": "OneOff",
          "priceModel": "Flat",
          "effectiveStartDate": "2026-01-01T00:00:00.000Z",
          "effectiveEndDate": "2026-01-01T00:00:00.000Z",
          "startMilestone": "text",
          "endMilestone": "text",
          "quantity": 1,
          "unitCode": "pcs",
          "startOn": "AlignToSubscription",
          "endOn": "AlignToSubscription",
          "chargedThroughDate": "2026-01-01T00:00:00.000Z",
          "lastRenewalDate": "2026-01-01T00:00:00.000Z",
          "lastPriceAdjustmentDate": "2026-01-01T00:00:00.000Z",
          "pricePeriod": "Monthly",
          "usageRating": "Sum",
          "revenueRecognitionRule": {
            "key": "text",
            "value": "text"
          },
          "billingDay": "None",
          "specificBillingDay": 1,
          "offsetBillingDays": 1,
          "billingPeriod": "Monthly",
          "billingTiming": "InAdvance",
          "periodAlignment": "None",
          "alignmentDate": "2026-01-01T00:00:00.000Z",
          "taxTemplate": "Sweden standard",
          "taxIncluded": true,
          "createInvoiceLinesPerTier": true,
          "tierDecimalPrecision": 1,
          "remarks": "text",
          "deferredRevenueAccount": "1510",
          "recognizedRevenueAccount": "1510",
          "changeState": "NotChanged",
          "displayPrice": 1,
          "priceDetails": [
            {
              "toQuantity": 1,
              "tier": 1,
              "price": 1,
              "listPrice": 1,
              "description": "text",
              "fromQuantity": 1,
              "priceBase": "Flat",
              "lineDiscountPercent": 1,
              "lineDiscountAmount": 1
            }
          ],
          "features": [
            {
              "feature": {
                "key": "text",
                "value": "text"
              }
            }
          ],
          "estimatedUsage": 1,
          "estimatedQuantity": 1,
          "orderedQuantity": 1,
          "recurringMonthlyAmount": 1,
          "externalERPId": "text",
          "externalCRMId": "text",
          "customFields": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "orderDiscountMappingKey": [
            "text"
          ]
        }
      ],
      "externalERPId": "text",
      "externalCRMId": "text",
      "customFields": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    }
  ],
  "milestones": [
    {
      "name": "text",
      "description": "text",
      "plannedDate": "2026-01-01T00:00:00.000Z"
    }
  ],
  "orderDiscounts": [
    {
      "operation": "Change",
      "OrderDiscountId": "GUID",
      "startOn": "AlignToOrder",
      "endOn": "AlignToOrder",
      "startDate": "2026-01-01T00:00:00.000Z",
      "endDate": "2026-01-01T00:00:00.000Z",
      "percent": 1,
      "description": "text",
      "onSpecificCharges": true,
      "orderProductCharges": [
        {
          "charge": "OPC-000001",
          "operation": "Remove"
        }
      ],
      "chargeMappingKey": "text"
    }
  ],
  "invoiceTemplateId": "123e4567-e89b-12d3-a456-426614174000",
  "invoiceBatchGroup": {
    "key": "text",
    "value": "text"
  },
  "customFields": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}

No content

Get SalesOrder by id

get

Requires permission View orders.

Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
idstring · uuidOptional
orderNumberstring · nullableOptional
versioninteger · int32Optional
isLastVersionbooleanOptional
statusstring · enumRequiredPossible values:
descriptionstring · nullableOptional
remarksstring · nullableOptional
orderDatestring · date-time · nullableOptional
createdstring · date-timeOptional
modifiedstring · date-timeOptional
lastUpdatedstring · date-time · nullableOptional
orderTypestring · enumOptionalPossible values:
invoiceSeparatlybooleanOptional
yourReferencestring · nullableOptional
ourReferencestring · nullableOptional
yourOrderNumberstring · nullableOptional
buyerReferencestring · nullableOptional
paymentTermstring · nullableOptional
orderPaymentMethodstring · enumOptionalPossible values:
invoiceBatchGroupstring · nullableOptional
useAccountInvoiceBatchGroupbooleanOptional
currencystring · nullableOptional
accountsReceivableAccountstring · nullableOptional
externalERPIdstring · nullableOptional
externalCRMIdstring · nullableOptional
invoicingCurrencystring · nullableOptional
get/SalesOrders/{id}
GET /SalesOrders/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "orderNumber": "text",
  "version": 1,
  "isLastVersion": true,
  "status": "Draft",
  "description": "text",
  "remarks": "text",
  "orderDate": "2026-01-01T00:00:00.000Z",
  "created": "2026-01-01T00:00:00.000Z",
  "modified": "2026-01-01T00:00:00.000Z",
  "lastUpdated": "2026-01-01T00:00:00.000Z",
  "orderType": "Subscription",
  "invoiceSeparatly": true,
  "yourReference": "text",
  "ourReference": "text",
  "yourOrderNumber": "text",
  "buyerReference": "text",
  "invoiceAddress": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "description": "text",
    "name": "text",
    "street": "text",
    "street2": "text",
    "city": "text",
    "county": "text",
    "state": "text",
    "zip": "text",
    "country": "text"
  },
  "deliveryAddress": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "description": "text",
    "name": "text",
    "street": "text",
    "street2": "text",
    "city": "text",
    "county": "text",
    "state": "text",
    "zip": "text",
    "country": "text"
  },
  "paymentTerm": "text",
  "orderPaymentMethod": "Invoice",
  "invoiceBatchGroup": "text",
  "useAccountInvoiceBatchGroup": true,
  "account": {
    "name": "text",
    "accountNumber": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "externalERPId": "text",
    "externalCRMId": "text"
  },
  "invoiceAccount": {
    "name": "text",
    "accountNumber": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "externalERPId": "text",
    "externalCRMId": "text"
  },
  "currency": "text",
  "accountsReceivableAccount": "text",
  "externalERPId": "text",
  "externalCRMId": "text",
  "products": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "productNumber": "text",
      "chargePlanId": "123e4567-e89b-12d3-a456-426614174000",
      "chargePlanName": "text",
      "chargePlanNumber": "text",
      "productLineNumber": 1,
      "name": "text",
      "charges": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "chargeNumber": "OPC-000001",
          "version": 1,
          "isLastVersion": true,
          "name": "text",
          "chargeType": "OneOff",
          "priceModel": "Flat",
          "effectiveStartDate": "2026-01-01T00:00:00.000Z",
          "effectiveEndDate": "2026-01-01T00:00:00.000Z",
          "quantity": 1,
          "unitCode": "text",
          "startOn": "AlignToSubscription",
          "endOn": "AlignToSubscription",
          "startMilestoneId": "123e4567-e89b-12d3-a456-426614174000",
          "endMilestoneId": "123e4567-e89b-12d3-a456-426614174000",
          "chargedThroughDate": "2026-01-01T00:00:00.000Z",
          "lastRenewalDate": "2026-01-01T00:00:00.000Z",
          "lastPriceAdjustmentDate": "2026-01-01T00:00:00.000Z",
          "pricePeriod": "Monthly",
          "usageRating": "Sum",
          "revenueRecognitionRule": "text",
          "billingDay": "None",
          "specificBillingDay": 1,
          "offsetBillingDays": 1,
          "billingPeriod": "Monthly",
          "billingTiming": "InAdvance",
          "periodAlignment": "None",
          "alignmentDate": "2026-01-01T00:00:00.000Z",
          "taxTemplate": "text",
          "taxIncluded": true,
          "createInvoiceLinesPerTier": true,
          "estimatedUsage": 1,
          "estimatedQuantity": 1,
          "remainingQuantity": 1,
          "orderedQuantity": 1,
          "deliveryDate": "2026-01-01T00:00:00.000Z",
          "remarks": "text",
          "accountsReceivableAccount": "text",
          "deferredRevenueAccount": "text",
          "recognizedRevenueAccount": "text",
          "changeState": "NotChanged",
          "displayPrice": 1,
          "customFields": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "priceDetails": [
            {
              "tier": 1,
              "price": 1,
              "listPrice": 1,
              "description": "text",
              "fromQuantity": 1,
              "toQuantity": 1,
              "priceBase": "Flat",
              "lineDiscountPercent": 1,
              "lineDiscountAmount": 1
            }
          ],
          "recurringMonthlyAmount": 1,
          "recurringMonthlyAmountBase": 1,
          "features": [
            {
              "code": "text",
              "description": "text"
            }
          ],
          "orderDiscounts": [
            {
              "orderDiscountId": "123e4567-e89b-12d3-a456-426614174000",
              "chargeId": "123e4567-e89b-12d3-a456-426614174000"
            }
          ],
          "externalERPId": "text",
          "externalCRMId": "text",
          "cmrr": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "acv": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "tcv": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "emrr": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "oneTimeFees": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "price": 1,
          "listPrice": 1,
          "discountAmount": 1,
          "discountPercentage": 1,
          "totalPrice": 1,
          "totalListPrice": 1,
          "totalDiscountAmount": 1,
          "totalDiscountPercentage": 1,
          "totalPerInvoice": 1,
          "orderProductId": "123e4567-e89b-12d3-a456-426614174000",
          "orderId": "123e4567-e89b-12d3-a456-426614174000",
          "chargeId": "123e4567-e89b-12d3-a456-426614174000",
          "created": "2026-01-01T00:00:00.000Z",
          "modified": "2026-01-01T00:00:00.000Z"
        }
      ],
      "customFields": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "externalERPId": "text",
      "externalCRMId": "text",
      "cmrr": {
        "amount": 1,
        "currencyCode": "text",
        "currencyConversionDate": "2026-01-01T00:00:00.000Z",
        "baseCurrencyAmount": 1,
        "baseCurrencyCode": "text"
      },
      "acv": {
        "amount": 1,
        "currencyCode": "text",
        "currencyConversionDate": "2026-01-01T00:00:00.000Z",
        "baseCurrencyAmount": 1,
        "baseCurrencyCode": "text"
      },
      "emrr": {
        "amount": 1,
        "currencyCode": "text",
        "currencyConversionDate": "2026-01-01T00:00:00.000Z",
        "baseCurrencyAmount": 1,
        "baseCurrencyCode": "text"
      },
      "oneTimeFees": {
        "amount": 1,
        "currencyCode": "text",
        "currencyConversionDate": "2026-01-01T00:00:00.000Z",
        "baseCurrencyAmount": 1,
        "baseCurrencyCode": "text"
      },
      "tcv": {
        "amount": 1,
        "currencyCode": "text",
        "currencyConversionDate": "2026-01-01T00:00:00.000Z",
        "baseCurrencyAmount": 1,
        "baseCurrencyCode": "text"
      },
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z"
    }
  ],
  "milestones": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "orderId": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "description": "text",
      "milestoneDate": "2026-01-01T00:00:00.000Z",
      "plannedDate": "2026-01-01T00:00:00.000Z"
    }
  ],
  "orderDiscounts": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "orderId": "123e4567-e89b-12d3-a456-426614174000",
      "startOn": "AlignToOrder",
      "endOn": "AlignToOrder",
      "startDate": "2026-01-01T00:00:00.000Z",
      "endDate": "2026-01-01T00:00:00.000Z",
      "percent": 1,
      "discountType": "Percent",
      "description": "text",
      "orderProductCharges": [
        {
          "orderDiscountId": "123e4567-e89b-12d3-a456-426614174000",
          "chargeId": "123e4567-e89b-12d3-a456-426614174000"
        }
      ],
      "onSpecificCharges": true
    }
  ],
  "customFields": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "invoicingCurrency": "text"
}

Get SalesOrder version by Id

get

Requires permission View orders.

Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
idstring · uuidOptional
orderNumberstring · nullableOptional
versioninteger · int32Optional
isLastVersionbooleanOptional
statusstring · enumRequiredPossible values:
descriptionstring · nullableOptional
remarksstring · nullableOptional
orderDatestring · date-time · nullableOptional
createdstring · date-timeOptional
modifiedstring · date-timeOptional
lastUpdatedstring · date-time · nullableOptional
orderTypestring · enumOptionalPossible values:
invoiceSeparatlybooleanOptional
yourReferencestring · nullableOptional
ourReferencestring · nullableOptional
yourOrderNumberstring · nullableOptional
buyerReferencestring · nullableOptional
paymentTermstring · nullableOptional
orderPaymentMethodstring · enumOptionalPossible values:
invoiceBatchGroupstring · nullableOptional
useAccountInvoiceBatchGroupbooleanOptional
currencystring · nullableOptional
accountsReceivableAccountstring · nullableOptional
externalERPIdstring · nullableOptional
externalCRMIdstring · nullableOptional
invoicingCurrencystring · nullableOptional
get/SalesOrders/{id}/version
GET /SalesOrders/{id}/version HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "orderNumber": "text",
  "version": 1,
  "isLastVersion": true,
  "status": "Draft",
  "description": "text",
  "remarks": "text",
  "orderDate": "2026-01-01T00:00:00.000Z",
  "created": "2026-01-01T00:00:00.000Z",
  "modified": "2026-01-01T00:00:00.000Z",
  "lastUpdated": "2026-01-01T00:00:00.000Z",
  "orderType": "Subscription",
  "invoiceSeparatly": true,
  "yourReference": "text",
  "ourReference": "text",
  "yourOrderNumber": "text",
  "buyerReference": "text",
  "invoiceAddress": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "description": "text",
    "name": "text",
    "street": "text",
    "street2": "text",
    "city": "text",
    "county": "text",
    "state": "text",
    "zip": "text",
    "country": "text"
  },
  "deliveryAddress": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "description": "text",
    "name": "text",
    "street": "text",
    "street2": "text",
    "city": "text",
    "county": "text",
    "state": "text",
    "zip": "text",
    "country": "text"
  },
  "paymentTerm": "text",
  "orderPaymentMethod": "Invoice",
  "invoiceBatchGroup": "text",
  "useAccountInvoiceBatchGroup": true,
  "account": {
    "name": "text",
    "accountNumber": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "externalERPId": "text",
    "externalCRMId": "text"
  },
  "invoiceAccount": {
    "name": "text",
    "accountNumber": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "externalERPId": "text",
    "externalCRMId": "text"
  },
  "currency": "text",
  "accountsReceivableAccount": "text",
  "externalERPId": "text",
  "externalCRMId": "text",
  "products": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "productNumber": "text",
      "chargePlanId": "123e4567-e89b-12d3-a456-426614174000",
      "chargePlanName": "text",
      "chargePlanNumber": "text",
      "productLineNumber": 1,
      "name": "text",
      "charges": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "chargeNumber": "OPC-000001",
          "version": 1,
          "isLastVersion": true,
          "name": "text",
          "chargeType": "OneOff",
          "priceModel": "Flat",
          "effectiveStartDate": "2026-01-01T00:00:00.000Z",
          "effectiveEndDate": "2026-01-01T00:00:00.000Z",
          "quantity": 1,
          "unitCode": "text",
          "startOn": "AlignToSubscription",
          "endOn": "AlignToSubscription",
          "startMilestoneId": "123e4567-e89b-12d3-a456-426614174000",
          "endMilestoneId": "123e4567-e89b-12d3-a456-426614174000",
          "chargedThroughDate": "2026-01-01T00:00:00.000Z",
          "lastRenewalDate": "2026-01-01T00:00:00.000Z",
          "lastPriceAdjustmentDate": "2026-01-01T00:00:00.000Z",
          "pricePeriod": "Monthly",
          "usageRating": "Sum",
          "revenueRecognitionRule": "text",
          "billingDay": "None",
          "specificBillingDay": 1,
          "offsetBillingDays": 1,
          "billingPeriod": "Monthly",
          "billingTiming": "InAdvance",
          "periodAlignment": "None",
          "alignmentDate": "2026-01-01T00:00:00.000Z",
          "taxTemplate": "text",
          "taxIncluded": true,
          "createInvoiceLinesPerTier": true,
          "estimatedUsage": 1,
          "estimatedQuantity": 1,
          "remainingQuantity": 1,
          "orderedQuantity": 1,
          "deliveryDate": "2026-01-01T00:00:00.000Z",
          "remarks": "text",
          "accountsReceivableAccount": "text",
          "deferredRevenueAccount": "text",
          "recognizedRevenueAccount": "text",
          "changeState": "NotChanged",
          "displayPrice": 1,
          "customFields": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "priceDetails": [
            {
              "tier": 1,
              "price": 1,
              "listPrice": 1,
              "description": "text",
              "fromQuantity": 1,
              "toQuantity": 1,
              "priceBase": "Flat",
              "lineDiscountPercent": 1,
              "lineDiscountAmount": 1
            }
          ],
          "recurringMonthlyAmount": 1,
          "recurringMonthlyAmountBase": 1,
          "features": [
            {
              "code": "text",
              "description": "text"
            }
          ],
          "orderDiscounts": [
            {
              "orderDiscountId": "123e4567-e89b-12d3-a456-426614174000",
              "chargeId": "123e4567-e89b-12d3-a456-426614174000"
            }
          ],
          "externalERPId": "text",
          "externalCRMId": "text",
          "cmrr": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "acv": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "tcv": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "emrr": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "oneTimeFees": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "price": 1,
          "listPrice": 1,
          "discountAmount": 1,
          "discountPercentage": 1,
          "totalPrice": 1,
          "totalListPrice": 1,
          "totalDiscountAmount": 1,
          "totalDiscountPercentage": 1,
          "totalPerInvoice": 1,
          "orderProductId": "123e4567-e89b-12d3-a456-426614174000",
          "orderId": "123e4567-e89b-12d3-a456-426614174000",
          "chargeId": "123e4567-e89b-12d3-a456-426614174000",
          "created": "2026-01-01T00:00:00.000Z",
          "modified": "2026-01-01T00:00:00.000Z"
        }
      ],
      "customFields": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "externalERPId": "text",
      "externalCRMId": "text",
      "cmrr": {
        "amount": 1,
        "currencyCode": "text",
        "currencyConversionDate": "2026-01-01T00:00:00.000Z",
        "baseCurrencyAmount": 1,
        "baseCurrencyCode": "text"
      },
      "acv": {
        "amount": 1,
        "currencyCode": "text",
        "currencyConversionDate": "2026-01-01T00:00:00.000Z",
        "baseCurrencyAmount": 1,
        "baseCurrencyCode": "text"
      },
      "emrr": {
        "amount": 1,
        "currencyCode": "text",
        "currencyConversionDate": "2026-01-01T00:00:00.000Z",
        "baseCurrencyAmount": 1,
        "baseCurrencyCode": "text"
      },
      "oneTimeFees": {
        "amount": 1,
        "currencyCode": "text",
        "currencyConversionDate": "2026-01-01T00:00:00.000Z",
        "baseCurrencyAmount": 1,
        "baseCurrencyCode": "text"
      },
      "tcv": {
        "amount": 1,
        "currencyCode": "text",
        "currencyConversionDate": "2026-01-01T00:00:00.000Z",
        "baseCurrencyAmount": 1,
        "baseCurrencyCode": "text"
      },
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z"
    }
  ],
  "milestones": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "orderId": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "description": "text",
      "milestoneDate": "2026-01-01T00:00:00.000Z",
      "plannedDate": "2026-01-01T00:00:00.000Z"
    }
  ],
  "orderDiscounts": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "orderId": "123e4567-e89b-12d3-a456-426614174000",
      "startOn": "AlignToOrder",
      "endOn": "AlignToOrder",
      "startDate": "2026-01-01T00:00:00.000Z",
      "endDate": "2026-01-01T00:00:00.000Z",
      "percent": 1,
      "discountType": "Percent",
      "description": "text",
      "orderProductCharges": [
        {
          "orderDiscountId": "123e4567-e89b-12d3-a456-426614174000",
          "chargeId": "123e4567-e89b-12d3-a456-426614174000"
        }
      ],
      "onSpecificCharges": true
    }
  ],
  "customFields": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "invoicingCurrency": "text"
}

Get SalesOrder versions

get

Requires permission View orders.

Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
orderNumberstringRequired
Query parameters
FilterstringOptional

Filter the results. See developer resources for more information. On endpoints whose entity supports custom fields you can also filter by custom field: customFieldEq('fieldName', 'value') (equals) or customFieldExist('fieldName') (field has a non-empty value). Custom-field functions may only be combined with and.

Example: name eq 'Adam' and age gt 20 and customFieldEq('region', 'EU')
OrderBystringOptional

Sorting the results. See developer resources for more information

Example: accountNumber Desc
ModifiedAfterstring · date-timeOptional

Apply a separate modified After filter. See 'ModifiedBefore' filter for further details.

Example: 2026-09-01
ModifiedBeforestring · date-timeOptional

Filter is also applied on sub entities: 'orderProducts', 'orderCharges', 'chargeDetails', 'orderDiscounts', 'milestones' and 'customFields' on these entities

Example: 2026-09-01
PageSizeinteger · int32Optional

Page Size

Example: 20
PageNumberinteger · int32Optional

Page Number

Example: 1
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
idstring · uuidOptional
orderNumberstring · nullableOptional
versioninteger · int32Optional
isLastVersionbooleanOptional
statusstring · enumRequiredPossible values:
descriptionstring · nullableOptional
remarksstring · nullableOptional
orderDatestring · date-time · nullableOptional
createdstring · date-timeOptional
modifiedstring · date-timeOptional
lastUpdatedstring · date-time · nullableOptional
orderTypestring · enumOptionalPossible values:
invoiceSeparatlybooleanOptional
yourReferencestring · nullableOptional
ourReferencestring · nullableOptional
yourOrderNumberstring · nullableOptional
buyerReferencestring · nullableOptional
paymentTermstring · nullableOptional
orderPaymentMethodstring · enumOptionalPossible values:
invoiceBatchGroupstring · nullableOptional
useAccountInvoiceBatchGroupbooleanOptional
currencystring · nullableOptional
accountsReceivableAccountstring · nullableOptional
externalERPIdstring · nullableOptional
externalCRMIdstring · nullableOptional
invoicingCurrencystring · nullableOptional
get/SalesOrders/{orderNumber}/versions
GET /SalesOrders/{orderNumber}/versions HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "orderNumber": "text",
    "version": 1,
    "isLastVersion": true,
    "status": "Draft",
    "description": "text",
    "remarks": "text",
    "orderDate": "2026-01-01T00:00:00.000Z",
    "created": "2026-01-01T00:00:00.000Z",
    "modified": "2026-01-01T00:00:00.000Z",
    "lastUpdated": "2026-01-01T00:00:00.000Z",
    "orderType": "Subscription",
    "invoiceSeparatly": true,
    "yourReference": "text",
    "ourReference": "text",
    "yourOrderNumber": "text",
    "buyerReference": "text",
    "invoiceAddress": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "description": "text",
      "name": "text",
      "street": "text",
      "street2": "text",
      "city": "text",
      "county": "text",
      "state": "text",
      "zip": "text",
      "country": "text"
    },
    "deliveryAddress": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "description": "text",
      "name": "text",
      "street": "text",
      "street2": "text",
      "city": "text",
      "county": "text",
      "state": "text",
      "zip": "text",
      "country": "text"
    },
    "paymentTerm": "text",
    "orderPaymentMethod": "Invoice",
    "invoiceBatchGroup": "text",
    "useAccountInvoiceBatchGroup": true,
    "account": {
      "name": "text",
      "accountNumber": "text",
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "externalERPId": "text",
      "externalCRMId": "text"
    },
    "invoiceAccount": {
      "name": "text",
      "accountNumber": "text",
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "externalERPId": "text",
      "externalCRMId": "text"
    },
    "currency": "text",
    "accountsReceivableAccount": "text",
    "externalERPId": "text",
    "externalCRMId": "text",
    "products": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "productNumber": "text",
        "chargePlanId": "123e4567-e89b-12d3-a456-426614174000",
        "chargePlanName": "text",
        "chargePlanNumber": "text",
        "productLineNumber": 1,
        "name": "text",
        "charges": [
          {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "chargeNumber": "OPC-000001",
            "version": 1,
            "isLastVersion": true,
            "name": "text",
            "chargeType": "OneOff",
            "priceModel": "Flat",
            "effectiveStartDate": "2026-01-01T00:00:00.000Z",
            "effectiveEndDate": "2026-01-01T00:00:00.000Z",
            "quantity": 1,
            "unitCode": "text",
            "startOn": "AlignToSubscription",
            "endOn": "AlignToSubscription",
            "startMilestoneId": "123e4567-e89b-12d3-a456-426614174000",
            "endMilestoneId": "123e4567-e89b-12d3-a456-426614174000",
            "chargedThroughDate": "2026-01-01T00:00:00.000Z",
            "lastRenewalDate": "2026-01-01T00:00:00.000Z",
            "lastPriceAdjustmentDate": "2026-01-01T00:00:00.000Z",
            "pricePeriod": "Monthly",
            "usageRating": "Sum",
            "revenueRecognitionRule": "text",
            "billingDay": "None",
            "specificBillingDay": 1,
            "offsetBillingDays": 1,
            "billingPeriod": "Monthly",
            "billingTiming": "InAdvance",
            "periodAlignment": "None",
            "alignmentDate": "2026-01-01T00:00:00.000Z",
            "taxTemplate": "text",
            "taxIncluded": true,
            "createInvoiceLinesPerTier": true,
            "estimatedUsage": 1,
            "estimatedQuantity": 1,
            "remainingQuantity": 1,
            "orderedQuantity": 1,
            "deliveryDate": "2026-01-01T00:00:00.000Z",
            "remarks": "text",
            "accountsReceivableAccount": "text",
            "deferredRevenueAccount": "text",
            "recognizedRevenueAccount": "text",
            "changeState": "NotChanged",
            "displayPrice": 1,
            "customFields": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            },
            "priceDetails": [
              {
                "tier": 1,
                "price": 1,
                "listPrice": 1,
                "description": "text",
                "fromQuantity": 1,
                "toQuantity": 1,
                "priceBase": "Flat",
                "lineDiscountPercent": 1,
                "lineDiscountAmount": 1
              }
            ],
            "recurringMonthlyAmount": 1,
            "recurringMonthlyAmountBase": 1,
            "features": [
              {
                "code": "text",
                "description": "text"
              }
            ],
            "orderDiscounts": [
              {
                "orderDiscountId": "123e4567-e89b-12d3-a456-426614174000",
                "chargeId": "123e4567-e89b-12d3-a456-426614174000"
              }
            ],
            "externalERPId": "text",
            "externalCRMId": "text",
            "cmrr": {
              "amount": 1,
              "currencyCode": "text",
              "currencyConversionDate": "2026-01-01T00:00:00.000Z",
              "baseCurrencyAmount": 1,
              "baseCurrencyCode": "text"
            },
            "acv": {
              "amount": 1,
              "currencyCode": "text",
              "currencyConversionDate": "2026-01-01T00:00:00.000Z",
              "baseCurrencyAmount": 1,
              "baseCurrencyCode": "text"
            },
            "tcv": {
              "amount": 1,
              "currencyCode": "text",
              "currencyConversionDate": "2026-01-01T00:00:00.000Z",
              "baseCurrencyAmount": 1,
              "baseCurrencyCode": "text"
            },
            "emrr": {
              "amount": 1,
              "currencyCode": "text",
              "currencyConversionDate": "2026-01-01T00:00:00.000Z",
              "baseCurrencyAmount": 1,
              "baseCurrencyCode": "text"
            },
            "oneTimeFees": {
              "amount": 1,
              "currencyCode": "text",
              "currencyConversionDate": "2026-01-01T00:00:00.000Z",
              "baseCurrencyAmount": 1,
              "baseCurrencyCode": "text"
            },
            "price": 1,
            "listPrice": 1,
            "discountAmount": 1,
            "discountPercentage": 1,
            "totalPrice": 1,
            "totalListPrice": 1,
            "totalDiscountAmount": 1,
            "totalDiscountPercentage": 1,
            "totalPerInvoice": 1,
            "orderProductId": "123e4567-e89b-12d3-a456-426614174000",
            "orderId": "123e4567-e89b-12d3-a456-426614174000",
            "chargeId": "123e4567-e89b-12d3-a456-426614174000",
            "created": "2026-01-01T00:00:00.000Z",
            "modified": "2026-01-01T00:00:00.000Z"
          }
        ],
        "customFields": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "externalERPId": "text",
        "externalCRMId": "text",
        "cmrr": {
          "amount": 1,
          "currencyCode": "text",
          "currencyConversionDate": "2026-01-01T00:00:00.000Z",
          "baseCurrencyAmount": 1,
          "baseCurrencyCode": "text"
        },
        "acv": {
          "amount": 1,
          "currencyCode": "text",
          "currencyConversionDate": "2026-01-01T00:00:00.000Z",
          "baseCurrencyAmount": 1,
          "baseCurrencyCode": "text"
        },
        "emrr": {
          "amount": 1,
          "currencyCode": "text",
          "currencyConversionDate": "2026-01-01T00:00:00.000Z",
          "baseCurrencyAmount": 1,
          "baseCurrencyCode": "text"
        },
        "oneTimeFees": {
          "amount": 1,
          "currencyCode": "text",
          "currencyConversionDate": "2026-01-01T00:00:00.000Z",
          "baseCurrencyAmount": 1,
          "baseCurrencyCode": "text"
        },
        "tcv": {
          "amount": 1,
          "currencyCode": "text",
          "currencyConversionDate": "2026-01-01T00:00:00.000Z",
          "baseCurrencyAmount": 1,
          "baseCurrencyCode": "text"
        },
        "created": "2026-01-01T00:00:00.000Z",
        "modified": "2026-01-01T00:00:00.000Z"
      }
    ],
    "milestones": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "orderId": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "description": "text",
        "milestoneDate": "2026-01-01T00:00:00.000Z",
        "plannedDate": "2026-01-01T00:00:00.000Z"
      }
    ],
    "orderDiscounts": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "orderId": "123e4567-e89b-12d3-a456-426614174000",
        "startOn": "AlignToOrder",
        "endOn": "AlignToOrder",
        "startDate": "2026-01-01T00:00:00.000Z",
        "endDate": "2026-01-01T00:00:00.000Z",
        "percent": 1,
        "discountType": "Percent",
        "description": "text",
        "orderProductCharges": [
          {
            "orderDiscountId": "123e4567-e89b-12d3-a456-426614174000",
            "chargeId": "123e4567-e89b-12d3-a456-426614174000"
          }
        ],
        "onSpecificCharges": true
      }
    ],
    "customFields": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "invoicingCurrency": "text"
  }
]

Get SalesOrder version

get

Requires permission View orders.

Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
orderNumberstringRequired
versioninteger · int32Required
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
idstring · uuidOptional
orderNumberstring · nullableOptional
versioninteger · int32Optional
isLastVersionbooleanOptional
statusstring · enumRequiredPossible values:
descriptionstring · nullableOptional
remarksstring · nullableOptional
orderDatestring · date-time · nullableOptional
createdstring · date-timeOptional
modifiedstring · date-timeOptional
lastUpdatedstring · date-time · nullableOptional
orderTypestring · enumOptionalPossible values:
invoiceSeparatlybooleanOptional
yourReferencestring · nullableOptional
ourReferencestring · nullableOptional
yourOrderNumberstring · nullableOptional
buyerReferencestring · nullableOptional
paymentTermstring · nullableOptional
orderPaymentMethodstring · enumOptionalPossible values:
invoiceBatchGroupstring · nullableOptional
useAccountInvoiceBatchGroupbooleanOptional
currencystring · nullableOptional
accountsReceivableAccountstring · nullableOptional
externalERPIdstring · nullableOptional
externalCRMIdstring · nullableOptional
invoicingCurrencystring · nullableOptional
get/SalesOrders/{orderNumber}/versions/{version}
GET /SalesOrders/{orderNumber}/versions/{version} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "orderNumber": "text",
  "version": 1,
  "isLastVersion": true,
  "status": "Draft",
  "description": "text",
  "remarks": "text",
  "orderDate": "2026-01-01T00:00:00.000Z",
  "created": "2026-01-01T00:00:00.000Z",
  "modified": "2026-01-01T00:00:00.000Z",
  "lastUpdated": "2026-01-01T00:00:00.000Z",
  "orderType": "Subscription",
  "invoiceSeparatly": true,
  "yourReference": "text",
  "ourReference": "text",
  "yourOrderNumber": "text",
  "buyerReference": "text",
  "invoiceAddress": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "description": "text",
    "name": "text",
    "street": "text",
    "street2": "text",
    "city": "text",
    "county": "text",
    "state": "text",
    "zip": "text",
    "country": "text"
  },
  "deliveryAddress": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "description": "text",
    "name": "text",
    "street": "text",
    "street2": "text",
    "city": "text",
    "county": "text",
    "state": "text",
    "zip": "text",
    "country": "text"
  },
  "paymentTerm": "text",
  "orderPaymentMethod": "Invoice",
  "invoiceBatchGroup": "text",
  "useAccountInvoiceBatchGroup": true,
  "account": {
    "name": "text",
    "accountNumber": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "externalERPId": "text",
    "externalCRMId": "text"
  },
  "invoiceAccount": {
    "name": "text",
    "accountNumber": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "externalERPId": "text",
    "externalCRMId": "text"
  },
  "currency": "text",
  "accountsReceivableAccount": "text",
  "externalERPId": "text",
  "externalCRMId": "text",
  "products": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "productNumber": "text",
      "chargePlanId": "123e4567-e89b-12d3-a456-426614174000",
      "chargePlanName": "text",
      "chargePlanNumber": "text",
      "productLineNumber": 1,
      "name": "text",
      "charges": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "chargeNumber": "OPC-000001",
          "version": 1,
          "isLastVersion": true,
          "name": "text",
          "chargeType": "OneOff",
          "priceModel": "Flat",
          "effectiveStartDate": "2026-01-01T00:00:00.000Z",
          "effectiveEndDate": "2026-01-01T00:00:00.000Z",
          "quantity": 1,
          "unitCode": "text",
          "startOn": "AlignToSubscription",
          "endOn": "AlignToSubscription",
          "startMilestoneId": "123e4567-e89b-12d3-a456-426614174000",
          "endMilestoneId": "123e4567-e89b-12d3-a456-426614174000",
          "chargedThroughDate": "2026-01-01T00:00:00.000Z",
          "lastRenewalDate": "2026-01-01T00:00:00.000Z",
          "lastPriceAdjustmentDate": "2026-01-01T00:00:00.000Z",
          "pricePeriod": "Monthly",
          "usageRating": "Sum",
          "revenueRecognitionRule": "text",
          "billingDay": "None",
          "specificBillingDay": 1,
          "offsetBillingDays": 1,
          "billingPeriod": "Monthly",
          "billingTiming": "InAdvance",
          "periodAlignment": "None",
          "alignmentDate": "2026-01-01T00:00:00.000Z",
          "taxTemplate": "text",
          "taxIncluded": true,
          "createInvoiceLinesPerTier": true,
          "estimatedUsage": 1,
          "estimatedQuantity": 1,
          "remainingQuantity": 1,
          "orderedQuantity": 1,
          "deliveryDate": "2026-01-01T00:00:00.000Z",
          "remarks": "text",
          "accountsReceivableAccount": "text",
          "deferredRevenueAccount": "text",
          "recognizedRevenueAccount": "text",
          "changeState": "NotChanged",
          "displayPrice": 1,
          "customFields": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "priceDetails": [
            {
              "tier": 1,
              "price": 1,
              "listPrice": 1,
              "description": "text",
              "fromQuantity": 1,
              "toQuantity": 1,
              "priceBase": "Flat",
              "lineDiscountPercent": 1,
              "lineDiscountAmount": 1
            }
          ],
          "recurringMonthlyAmount": 1,
          "recurringMonthlyAmountBase": 1,
          "features": [
            {
              "code": "text",
              "description": "text"
            }
          ],
          "orderDiscounts": [
            {
              "orderDiscountId": "123e4567-e89b-12d3-a456-426614174000",
              "chargeId": "123e4567-e89b-12d3-a456-426614174000"
            }
          ],
          "externalERPId": "text",
          "externalCRMId": "text",
          "cmrr": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "acv": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "tcv": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "emrr": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "oneTimeFees": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "price": 1,
          "listPrice": 1,
          "discountAmount": 1,
          "discountPercentage": 1,
          "totalPrice": 1,
          "totalListPrice": 1,
          "totalDiscountAmount": 1,
          "totalDiscountPercentage": 1,
          "totalPerInvoice": 1,
          "orderProductId": "123e4567-e89b-12d3-a456-426614174000",
          "orderId": "123e4567-e89b-12d3-a456-426614174000",
          "chargeId": "123e4567-e89b-12d3-a456-426614174000",
          "created": "2026-01-01T00:00:00.000Z",
          "modified": "2026-01-01T00:00:00.000Z"
        }
      ],
      "customFields": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "externalERPId": "text",
      "externalCRMId": "text",
      "cmrr": {
        "amount": 1,
        "currencyCode": "text",
        "currencyConversionDate": "2026-01-01T00:00:00.000Z",
        "baseCurrencyAmount": 1,
        "baseCurrencyCode": "text"
      },
      "acv": {
        "amount": 1,
        "currencyCode": "text",
        "currencyConversionDate": "2026-01-01T00:00:00.000Z",
        "baseCurrencyAmount": 1,
        "baseCurrencyCode": "text"
      },
      "emrr": {
        "amount": 1,
        "currencyCode": "text",
        "currencyConversionDate": "2026-01-01T00:00:00.000Z",
        "baseCurrencyAmount": 1,
        "baseCurrencyCode": "text"
      },
      "oneTimeFees": {
        "amount": 1,
        "currencyCode": "text",
        "currencyConversionDate": "2026-01-01T00:00:00.000Z",
        "baseCurrencyAmount": 1,
        "baseCurrencyCode": "text"
      },
      "tcv": {
        "amount": 1,
        "currencyCode": "text",
        "currencyConversionDate": "2026-01-01T00:00:00.000Z",
        "baseCurrencyAmount": 1,
        "baseCurrencyCode": "text"
      },
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z"
    }
  ],
  "milestones": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "orderId": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "description": "text",
      "milestoneDate": "2026-01-01T00:00:00.000Z",
      "plannedDate": "2026-01-01T00:00:00.000Z"
    }
  ],
  "orderDiscounts": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "orderId": "123e4567-e89b-12d3-a456-426614174000",
      "startOn": "AlignToOrder",
      "endOn": "AlignToOrder",
      "startDate": "2026-01-01T00:00:00.000Z",
      "endDate": "2026-01-01T00:00:00.000Z",
      "percent": 1,
      "discountType": "Percent",
      "description": "text",
      "orderProductCharges": [
        {
          "orderDiscountId": "123e4567-e89b-12d3-a456-426614174000",
          "chargeId": "123e4567-e89b-12d3-a456-426614174000"
        }
      ],
      "onSpecificCharges": true
    }
  ],
  "customFields": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "invoicingCurrency": "text"
}

Activate SalesOrder

post

Requires permission Activate orders.

Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
younium-idempotency-keystringOptional
younium-idempotency-durationInHoursintegerOptional
Responses
200

Success

application/json
idstring · uuid · nullableOptional
messagestring · nullableOptional
post/SalesOrders/activate/{id}
POST /SalesOrders/activate/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "message": "text"
}

Last updated